Name:           squirrel
Version:        2.2.2
Release:        2%{?dist}
Summary:        High level imperative/OO programming language

Group:          Development/Tools
License:        zlib
URL:            http://squirrel-lang.org/
#Source0:        http://downloads.sourceforge.net/%{name}/%{name}_%{version}_stable.tar.gz
# upstream source archive contains 0000 as permisions for both files and dirs
# fixed with "find . -type d -exec chmod 0755 {} \;"
# and "find . -type f -exec chmod 0644 {} \;"
Source0:        %{name}_%{version}_stable_fixed.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         squirrel-autotools.patch

BuildRequires:  libtool

%description
Squirrel is a high level imperative/OO programming language, designed
to be a powerful scripting tool that fits in the size, memory bandwidth,
and real-time requirements of applications like games.

%package libs
Summary:        Libraries needed to run Squirrel scripts
Group:          System Environment/Libraries

%description libs
Libraries needed to run Squirrel scripts.

%package devel
Summary:        Development files needed to use Squirrel libraries
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}

%description devel
Development files needed to use Squirrel libraries.


%prep
%setup -q -n SQUIRREL2
%patch0 -p1

# fix extension for autotools
mv sq/sq.c sq/sq.cpp

# fix EOL + preserve timestamps
for f in README HISTORY COPYRIGHT
do
    sed -i.orig 's/\r//g' $f
    touch -r $f.orig $f
done

sh autogen.sh


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="/usr/bin/install -p" install

rm $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README HISTORY COPYRIGHT
%{_bindir}/sq

%files libs
%defattr(-,root,root,-)
%doc COPYRIGHT
%{_libdir}/libsqstdlib.so.*
%{_libdir}/libsquirrel.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*.pdf
%{_includedir}/squirrel
%{_libdir}/libsqstdlib.so
%{_libdir}/libsquirrel.so


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 13 2008 Dan Horák <dan[at]danny.cz> 2.2.2-1
- update to upstream version 2.2.2

* Sat May 31 2008 Dan Horak <dan[at]danny.cz> 2.2.1-1
- update to upstream version 2.2.1
- update URL of Source0
- really preserve timestamps on modified files

* Sun Apr 27 2008 Dan Horak <dan[at]danny.cz> 2.2-2
- enable parallel make
- add missing %%defattr for subpackages
- preserve timestamps

* Sun Apr 13 2008 Dan Horak <dan[at]danny.cz> 2.2-1
- initial version 2.2
